package com.ytpm.feign.fallback;

import com.ytpm.app.model.YtDyzUser;
import com.ytpm.feign.RiskFeign;
import com.ytpm.general.RepMessage;
import com.ytpm.general.Result;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;


@Component
public abstract class RiskFeignFallBack implements RiskFeign {
    @Override
    public Result<?> checkRisk(@RequestBody YtDyzUser ytDyzUser) {
        return Result.resultErr(RepMessage.SERVICE_UNAVAILABLE);
    }

    @Override
    public Result<?> checkAdRisk(@RequestBody YtDyzUser ytDyzUser) {
        return Result.resultErr(RepMessage.SERVICE_UNAVAILABLE);
    }
}
